<?php
/*
Plugin Name: WP SuperLike!
Plugin URI: http://codecanyon.net/item/superlike-ajax-content-like-system-for-wordpress/3878710?ref=ThemeFluent
Description: A nice ajax like system for WordPress.
Version: 1.04
Author: ThemeFluent
Author URI: http://themeforest.net/user/ThemeFluent?ref=ThemeFluent
*/

/**
* get_option('wp_superlike') stores all likes - passes post_id, time, IP
* get_option('wp_superlike_by_ip') stores all likes via IP $array['ip'] - passes post_id, time, last liked
* get_option('wp_superlike_settings') saves all plugin settings
* postmeta 'style' assigns custom style per post
* postmeta 'wp_superlike_count' stores likes count of post, passes count only
*/

define('PLUGIN_WP_SUPERLIKE_URL', get_template_directory_uri().'/includes/plugins/wp-superlike/');
define('PLUGIN_WP_SUPERLIKE_PATH',plugin_dir_path(__FILE__ ));
define('PLUGIN_WP_SUPERLIKE_DB_VERSION','1');

	/* Functions */
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'class-wp-superlike.php');
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'functions.php');
	
	/* Widgets */
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'widgets.php');
	
	/* Extend */
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'extend.php');
	
	/* Includes */
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'includes/install.php');
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'includes/register.php');
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'includes/shortcodes.php');
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'includes/actions.php');
	require_once(PLUGIN_WP_SUPERLIKE_PATH . 'includes/filters.php');
	
	if (is_admin()) {

		require_once(PLUGIN_WP_SUPERLIKE_PATH . 'admin/includes/register.php');
		require_once(PLUGIN_WP_SUPERLIKE_PATH . 'admin/includes/metabox.php');
		require_once(PLUGIN_WP_SUPERLIKE_PATH . 'admin/class-admin-panel.php');
		require_once(PLUGIN_WP_SUPERLIKE_PATH . 'admin/admin-icons.php');
	
	}